Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::EndOfSequenceByteIO Class Reference

Signals the end of a sequence in a Dirac-formatted bitstream. More...

`#include <endofsequence_byteio.h>`

Inheritance diagram for dirac::EndOfSequenceByteIO:
[legend]
Collaboration diagram for dirac::EndOfSequenceByteIO:
[legend]

List of all members.

## Public Member Functions

- EndOfSequenceByteIO (const ByteIO &stream_data)
    Constructor.
- ~EndOfSequenceByteIO ()
    Destructor.
- ParseUnitType GetType () const
    Gets parse-unit type.
- void CollateByteStats (DiracByteStats &dirac_byte_stats)
    Gathers byte stats on the end of sequence data.

## Protected Member Functions

- int CalcNextUnitOffset ()
    Calculates number of bytes to start of next unit.

## Private Member Functions

- unsigned char CalcParseCode () const
    Calculates parse-code based on picture parameters.

## Detailed Description

Current Accessunit parameters are no longer valid for subsequent frames

## Constructor & Destructor Documentation

dirac::EndOfSequenceByteIO::EndOfSequenceByteIO | ( | const ByteIO & | stream_data | ) |

Parameters:

  | stream_data | Stream parameters

dirac::EndOfSequenceByteIO::~EndOfSequenceByteIO | ( |  | ) |

## Member Function Documentation

ParseUnitType dirac::EndOfSequenceByteIO::GetType | ( |  | ) | const`[inline, virtual]`

Reimplemented from dirac::ParseUnitByteIO.

References dirac::PU_END_OF_SEQUENCE.

void dirac::EndOfSequenceByteIO::CollateByteStats | ( | DiracByteStats & | dirac_byte_stats | ) | `[virtual]`

Parameters:

  | dirac_byte_stats | Stat container

Reimplemented from dirac::ParseUnitByteIO.

int dirac::EndOfSequenceByteIO::CalcNextUnitOffset | ( |  | ) | `[inline, protected, virtual]`

Returns:
  Zero(0) End of sequence does not specify a 'next'unit

Reimplemented from dirac::ParseUnitByteIO.

unsigned char dirac::EndOfSequenceByteIO::CalcParseCode | ( |  | ) | const`[private, virtual]`

Returns:
  Char bit-set

Reimplemented from dirac::ParseUnitByteIO.

The documentation for this class was generated from the following file:

- endofsequence_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.